@ECHO OFF
CD DOORS\LORD

IF "%1" == "" GOTO NOSTART

IF EXIST INFO.%1 DEL INFO.%1
IF EXIST DO%1.BAT DEL DO%1.BAT

:BEGIN
LORD.EXE %1 %2 %3 %4 %5 /DREW NORIP
IF ERRORLEVEL 255 GOTO DONE
IF ERRORLEVEL 254 GOTO DO1
GOTO DONE

:DO1
CALL DO%1.BAT
GOTO BEGIN

:NOSTART
CALL START.BAT 0
GOTO REALDONE

:DONE
IF EXIST INFO.%1 DEL INFO.%1
IF EXIST DO%1.BAT DEL DO%1.BAT

:REALDONE
